Bug 865397 - CLI - error deleting template
CLI - error deleting template
Status: CLOSED UPSTREAM
Product: Katello
Classification: Community
Component: Webservice API (Show other bugs)
1.X
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 06:43 EDT by Hayk Hovsepyan
Modified: 2012-10-29 10:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-29 10:28:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2012-10-11 06:43:42 EDT
Description of problem:
Create a template in katello.
Try to delete in by CLI "template delete --name $name --org $org".
It will show strange error:
"undefined local variable or method `template' for #<Api::TemplatesController:0x7f158d40af98>"

Version-Release number of selected component (if applicable):
katello-configure-1.1.10-1.git.48.b44a09b.el6.noarch
katello-glue-candlepin-1.1.13-1.git.87.be28459.el6.noarch
katello-agent-1.1.2-1.el6.noarch
katello-repos-1.1.2-1.el6.noarch
katello-glue-pulp-1.1.13-1.git.87.be28459.el6.noarch
katello-selinux-1.1.2-1.el6.noarch
katello-1.1.13-1.git.87.be28459.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-1.1.9-1.git.51.edfca34.el6.noarch
katello-common-1.1.13-1.git.87.be28459.el6.noarch
katello-glue-foreman-1.1.13-1.git.87.be28459.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.1.9-1.git.51.edfca34.el6.noarch
katello-certs-tools-1.1.8-1.el6.noarch


How reproducible:
always
Comment 1 Lukas Zapletal 2012-10-12 09:10:55 EDT
https://github.com/Katello/katello/pull/842
Comment 2 Lukas Zapletal 2012-10-29 10:28:59 EDT
Part of Katello 1.1 release

Note You need to log in before you can comment on or make changes to this bug.